Search processing.org:

Reference for Processing (BETA) version 0135+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name | ### lights()
Examples |
    size(100, 100, P3D);
    background(0);
    noStroke();
    // Sets the default ambient
    // and directional light
    lights();
    translate(20, 50, 0);
    sphere(30);
    translate(60, 0, 0);
    sphere(30);
    void setup() {
      size(100, 100, P3D);
      background(0);
      noStroke();
    }

    void draw() {
      // Add lights at the beginning
      // of draw() to keep them persistent
      lights();
      translate(20, 50, 0);
      sphere(30);
      translate(60, 0, 0);
      sphere(30);
    }
Description | Sets the the default ambient light, directional light, falloff, and specular values. The defaults are are ambientLight(128, 128, 128) and directionalLight(128, 128, 128, 0, 0, -1), falloff(1, 0, 0), and specular(0, 0, 0). Lights need to be included in the draw() to remain persistent in a looping program. Placing them in the setup() of a looping program will cause them to only have an effect the first time through the loop.
Syntax |
    lights()
Parameters |
Usage | Web & Application
Related | ambientLight() directionalLight() pointLight() spotLight() noLights();

Updated on November 17, 2007 10:07:52am PST